import { GameState } from "@prisma/client"
import { z } from "zod"

export const createSchema = z.object({
  game: z.object({
    id: z.string(),
    createdAt: z.date(),
    updatedAt: z.date(),
    state: z.nativeEnum(GameState),
  }),
  pin: z.string().optional(),
  player: z.object({
    id: z.string(),
    name: z.string().optional(),
    isOwner: z.boolean().optional(),
  }),
  enemy: z
    .object({
      id: z.string(),
      username: z.string().optional(),
      isOwner: z.boolean().optional(),
    })
    .optional(),
})
